#
# spec file for package post-build-checks (Version 1.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           post-build-checks
License:        GPLv2+
Group:          Development/Tools/Building
AutoReqProv:    on
Summary:        post checks for build after rpms have been created
Version:        1.0
Release:        73
PreReq:         aaa_base permissions sed
Source0:        %{name}-%{version}.tar.bz2
Source1:        suse-buildsystem.sh
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
some scripts to check for problems like test-installing the newly
created rpms and checking the logfile for errors.

This package will also set/change the following sysconfig variables, so
it may not be a good idea to install this to a running system:
/etc/sysconfig/security:PERMISSION_SECURITY="secure"
/etc/sysconfig/clock:TIMEZONE="UTC"



%prep
%setup -q

%build
# nothing to do

%install
install -d $RPM_BUILD_ROOT/usr/lib/build/checks
install -d $RPM_BUILD_ROOT/usr/lib/build/checks-data
install -d $RPM_BUILD_ROOT/usr/lib/build/helper
install -m 755 checks/* $RPM_BUILD_ROOT/usr/lib/build/checks
install -m 644 checks-data/* $RPM_BUILD_ROOT/usr/lib/build/checks-data
install -m 755 helper/* $RPM_BUILD_ROOT/usr/lib/build/helper
install -m 644 -D %{S:1}  $RPM_BUILD_ROOT/etc/profile.d/suse-buildsystem.sh
chmod 755 $RPM_BUILD_ROOT/usr/lib/build/checks-data/check*

%check
for i in tests/xx*.c
do
	(echo "Executing(%%build)" ; gcc $RPM_OPT_FLAGS -c $i 2>&1)| checks-data/check_gcc_output 2>&1|grep "^[WE]"
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
# do nothing when not in a build chroot
if ! test -e /.buildenv; then
    exit 0
fi
sed -i -e "s@^PERMISSION_SECURITY=.*@PERMISSION_SECURITY=\"secure\"@" /etc/sysconfig/security
sed -i -e "s@^TIMEZONE=.*@TIMEZONE=\"UTC\"@" /etc/sysconfig/clock
if test -f /bin/uname -a ! -L /bin/uname ; then
    mv /bin/uname /bin/uname.bin
    ln -s /usr/lib/build/helper/uname.sh /bin/uname
fi

%preun
if ! test -e /.buildenv; then
    exit 0
fi
if test "$1" = 0 -a -f /bin/uname.bin ; then
    mv /bin/uname.bin /bin/uname
fi

%files
%defattr(-, root, root)
%doc COPYING
/usr/lib/build
/etc/profile.d/suse-buildsystem.sh

%changelog
